:root {
  --pattern-silver: rgb(255, 255, 255);
  --pattern-silver-line: rgb(232, 232, 232);
  --pattern-orange-line: rgb(237, 222, 195);
  --pattern-orange: rgb(250, 237, 201);
}

body {
  font-family: 'Noto Sans JP', sans-serif;
  color: var(--black);
}

header {
  background-color: rgba(255,255,255,0.75);
  z-index: 100;
}

.vr {
  width: 1.5px;
  opacity: 1;
  height: 1em;
  align-self: center;
}

.nav-link {
  color: var(--black);
  text-align: center;
  padding-left: 2rem;
  padding-right: 2rem;
  position: relative;
}

.nav-link:after {
  content: "";
  display: block;
  border-bottom: 2px solid transparent;
  width: 2rem;
  margin: 0.25rem auto 0;
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
}

.nav-link.active {
  color: var(--brown);
}

.nav-link.active:after {
  border-color: var(--brown);
}

.top-link-panel {
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  padding: 0 10px;
  white-space: nowrap;
  height: 80px;
}

.top-link-panel .img-fluid {
  width: 50%;
}

.top-link-panel .top-link-panel__label {
  font-size: 80%;
}

.cp-hamburger-col {
  width: 80px;
  height: 80px;
}

.cp-hamburger {
	position: relative;
	top: 0;
	right: 0;
  width: 80px;
  height: 80px;
  z-index: 5;
  transition: all 0.3s ease-out;
}

.cp-hamburger .line,
.cp-hamburger:before,
.cp-hamburger:after {
	display: block;
	position: absolute;
	top: 35%;
	left: 20%;
	right: 20%;
	height: 2px;
	margin: 0 auto;
	background-color: var(--black);
	border-radius: 5px;
	transform: translateY(-50%);
	transition: all 0.3s ease-out;
}
.cp-hamburger:before {
	content: "";
	top: 20%;
}
.cp-hamburger:after {
	content: "";
	top: 50%;
}

.cp-hamburger .label {
  position: absolute;
  top: 60%;
  left: 0%;
  right: 0%;
  text-align: center;
}

.cp-hamburger .label:before {
  content: "MENU";
  letter-spacing: 2px;
  font-size: 90%;
  color: var(--black);
  transition: all 0.3s ease-out;
}

.cp-hamburger.open {
  background-color: var(--gray);
  position: fixed;
  top: 0;
  right: 0;
  z-index: 102;
}

.cp-hamburger.open .line,
.cp-hamburger.open:before,
.cp-hamburger.open:after {
  background-color: var(--white);
}

.cp-hamburger.open .line {
	transform: rotate(-45deg);/* translate(10%, -50%);*/
	background-color: transparent;
}

.cp-hamburger.open:before {
	top: 40%;
	transform: rotate(-45deg);/* translate(10%, -50%);*/
}

.cp-hamburger.open:after {
	top: 40%;
	transform: rotate(-135deg);/* translate(10%, 50%);*/
}

.cp-hamburger.open .label:before {
  content: "CLOSE";
  color: var(--white);
}

.bg-pattern {
  /*background: url(/assets/images/common/background.png) repeat-y top center / contain;*/
  background: linear-gradient(-45deg, var(--pattern-silver) 45%, var(--pattern-silver-line) 45%, var(--pattern-silver-line) 55%, var(--pattern-silver) 55%, var(--pattern-silver) 100%) repeat center / 15px 15px;
}

.bg-pattern-color {
  /*background: url(/assets/images/common/background-color.png) repeat-y top center / contain;*/
  background: linear-gradient(-45deg, var(--pattern-orange) 45%, var(--pattern-orange-line) 45%, var(--pattern-orange-line) 55%, var(--pattern-orange) 55%, var(--pattern-orange) 100%) repeat center center / 15px 15px;
}

.smaller {
  font-size: 90em;
}

.smallest {
  font-size: 12px;
}

a {
  color: inherit;
  text-decoration: none;
  transition: .2s;
}

a:hover {
  color: inherit;
  opacity: .7;
}

.btn.arrow {
  position: relative;
}

.btn.arrow::after {
  content: "\f054";
  font-family: "Font Awesome 5 Free";
  font-weight: 600;
  position: absolute;
  right: 1rem;
  top: 50%;
  transform: translateY(-50%);
}

.eye-catch {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2rem 0;
}

.eye-catch .eye-catch-title {
  position: relative;
  text-align: center;
  font-weight: bold;
}

.eye-catch .eye-catch-title .img-fluid {
  position: absolute;
  top: 50%;
  right: 0;
  width: auto;
  height: 7.5rem;
  max-width: none;
  transform: translate(calc(100% + 0.5rem), -50%);
}

.footer-icon {
  height: 2.5rem;
  width: auto;
}

#overlay-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 101;
  display: none;
}

.overlay-menu,
.overlay-menu-accordion {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.overlay-menu-link,
.overlay-menu-toggle {
  position: relative;
  font-size: 1.25rem;
  font-weight: bold;
  cursor: pointer;
  line-height: 1.6;
}

.overlay-menu-link::after,
.overlay-menu-toggle::after {
  content: "\f054";
  color: var(--brown);
  font-family: "Font Awesome 5 Free";
  font-weight: 600;
  margin-left: 1.5rem;
}

.overlay-menu-toggle::after {
  display: inline-block;
  content: "\f067";
  transition: 0.5s;
  transform-origin: center center;
}

.overlay-menu-check:checked + .overlay-menu-toggle::after {
  transform: rotate(135deg);
}

/*
.overlay-menu-check:checked + .overlay-menu-toggle + .overlay-menu-accordion {
  height: 100%;
}
*/

.overlay-menu-accordion {
  height: 0;
  padding-left: 2em;
  overflow: hidden;
}

.overlay-menu-accordion .overlay-menu-link {
  font-size: 1.0rem;
}

.ratio.cover .img-fluid {
  object-fit: cover;
}

.ratio.contain .img-fluid {
  object-fit: contain;
}

.ratio.left .img-fluid {
  object-position: left;
}

.ratio.right .img-fluid {
  object-position: right;
}

.scroll-to-top {
  position: fixed;
  right: 1rem;
  bottom: 4rem;
  width: 3rem;
  height: 3rem;
  opacity: 1;
  cursor: pointer;
}

.scroll-to-top:hover {
  opacity: 0.5;
}

.wp-content {
  padding-left: 0 !important;
  padding-right: 0 !important;
  max-width: 880px;
}

.wp-content > * {
  padding-left: 1rem !important;
  padding-right: 1rem !important;
}

.wp-content p {
  line-height: 2;
  margin-bottom: 1.5rem;
}

.wp-content > .px-0 {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

/* sp only */
@media (max-width: 768px) {
  #header-nav + .header-nav {
    position: fixed;
    top: 50px;
    left: 100vw;
    width: 100vw;
    transition: 0.2s;
    z-index: 4;
    background-color: var(--white);
  }
  #header-nav:checked + .header-nav {
    left: 0;
  }
  #header-nav + .header-nav a {
    font-size: 1.5rem;
  }
  #header-nav + .header-nav a + a {
    border-top: 1px solid var(--black);
  }

  .footer-icon {
    height: 2.0rem;
  }

  .cp-hamburger-col {
    width: 60px;
    height: 60px;
  }

  .cp-hamburger {
    width: 60px;
    height: 60px;
  }

  .wp-content > .has-background {
    margin-left: 1rem;
    margin-right: 1rem;
  }

  .wp-content > p,
  .wp-content > .wp-block-table {
    font-size: 13px;
  }

  .wp-content > .has-medium-font-size {
    font-size: 14px !important;
  }
}

@media (max-width: 1200px) {
  .cp-hamburger-col {
    width: 60px;
    height: 60px;
  }

  .cp-hamburger {
    width: 60px;
    height: 60px;
  }

  .nav-link {
    font-size: 85%;
    padding-left: 1rem;
    padding-right: 1rem;
  }

  .top-link-panel {
    padding: 0 6px;
    height: 60px;
  }

  .top-link-panel .top-link-panel__label {
    font-size: 80%;
  }

  .top-link-panel .img-fluid {
    width: 30%;
  }
}

@media (min-width: 768px) {
  .eye-catch {
    padding: 5rem 0;
  }

  .eye-catch .eye-catch-title .img-fluid {
    height: 14rem;
    transform: translate(calc(100% + 2rem), -50%);
  }

  .scroll-to-top {
    bottom: 1rem;
    width: 5rem;
    height: 5rem;
  }
}


/* 2024.06リニューアル */
:root {
  --color-line: #1ac95b;
  --color-mos-green: #77a155;
  --color-green: #cadcc2;
  --color-light-green: #ecf3e9;
  --color-yellow: #fed714;
  --color-orange: #ffa31b;
  --color-red: #902a27;
  --color-blue: #0071e3;
  --color-dark-gray: #4d4d4d;
  --color-light-gray: #ebe8ef;
  --color-pattern-bg: #fff;
  --color-pattern-line: #cadcc2;
  --color-pattern-color-line: #ecf3e9;
}

.text-new-line {
  color: var(--color-line);
}

.text-new-mos-green {
  color: var(--color-mos-green);
}

.text-new-green {
  color: var(--color-green);
}

.text-new-light-green {
  color: var(--color-light-green);
}

.text-new-yellow {
  color: var(--color-yellow);
}

.text-new-orange {
  color: var(--color-orange);
}

.text-new-red {
  color: var(--color-red);
}

.text-new-blue {
  color: var(--color-blue);
}

.text-new-dark-gray {
  color: var(--color-dark-gray);
}

.text-new-light-gray {
  color: var(--color-light-gray);
}

.bg-new-mos-green {
  background-color: var(--color-mos-green);
}

.bg-new-green {
  background-color: var(--color-green);
}

.bg-new-light-green {
  background-color: var(--color-light-green);
}

.bg-new-yellow {
  background-color: var(--color-yellow);
}

.bg-new-orange {
  background-color: var(--color-orange);
}

.bg-new-red {
  background-color: var(--color-red);
}

.bg-new-blue {
  background-color: var(--color-blue);
}

.bg-new-dark-gray {
  background-color: var(--color-dark-gray);
}

.bg-new-light-gray {
  background-color: var(--color-light-gray);
}

.bg-new-line {
  background-color: var(--color-line);
}

.bg-pattern-white {
  background: linear-gradient(-45deg, var(--color-pattern-bg) 45%, var(--color-pattern-line) 45%, var(--color-pattern-line) 55%, var(--color-pattern-bg) 55%, var(--color-pattern-bg) 100%) repeat center center / 15px 15px;
}

.bg-pattern-green {
  background: linear-gradient(-45deg, var(--color-green) 45%, var(--color-pattern-color-line) 45%, var(--color-pattern-color-line) 55%, var(--color-green) 55%, var(--color-green) 100%) repeat center / 15px 15px;
}

.bg-pattern-light-green {
  background: linear-gradient(-45deg, var(--color-pattern-color-line) 45%, var(--color-pattern-line) 45%, var(--color-pattern-line) 55%, var(--color-pattern-color-line) 55%, var(--color-pattern-color-line) 100%) repeat center / 15px 15px;
}

.header-catch-copy {
  display: block;
  aspect-ratio: 20 / 3.25;
}

.header-logo {
  width: calc(100% - 1rem);
}

.header-sns-icon {
  width: 50px;
  height:auto;
}

.header-line-btn,
.header-tel-btn {
  color: white;
  height: 50px;
  line-height: 50px;
  font-size: 1.2rem;
  font-weight: bold;
  padding: 0 1rem;
}

.header-line-btn:hover,
.header-tel-btn:hover {
  color: white;
}

.header-line-btn {
  background-color: var(--color-line);
}

.header-tel-btn {
  background-color: var(--color-mos-green);
}

.header-tel-icon {
  width: 1.2em;
  transform: translateY(-0.125rem);
}

.header-menu-row {
  font-size: 1.1rem;
  font-weight: bold;
}

.header-menu-row .nav-link.active {
  color: var(--color-orange);
}

.header-menu-row .nav-link.active:after {
  border-color: var(--color-orange);
}

.object-fit-cover {
  object-fit: cover;
}

.object-fit-contain {
  object-fit: contain;
}

.object-position-top {
  object-position: top;
}

.object-position-bottom {
  object-position: bottom;
}

.footer-link-main {
  font-size: 1rem;
}

.footer-link-sub {
  font-size: 0.85rem;
}

.footer-own-info {
  font-size: 1rem;
}

#overlay-menu .overlay-menu-main,
#overlay-menu .overlay-menu-sub {
  font-size: 1rem;
}

#overlay-menu .overlay-menu-contact {
  font-size: 1rem;
}

#overlay-menu .overlay-menu-buttons {
  font-size: 0.85rem;
}

#overlay-menu .overlay-menu-sns-icon {
  width: calc(100% - 1rem);
  height: auto;
}

.eye-catch {
  position: relative;
  --bs-aspect-ratio: 50%;
  padding: 0 !important;
  display: block;
}

.eye-catch::before {
  content: "";
  display: block;
  padding-top: var(--bs-aspect-ratio);
}

.eye-catch .eye-catch-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-weight: normal;
  width: calc(100% - 2rem);
}

.eye-catch .eye-catch-title.filter > * {
  background-color: rgb(255,255,255,0.75);
}

.eye-catch .eye-catch-title > .en {
  padding: 0 0.5rem;
}

.eye-catch .eye-catch-title > .jp {
  font-size: 0.6em;
  padding: 0 0.25rem;
}

.eye-catch .img-fluid {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.border-buttons-horizontal {
  border-top: 2px solid var(--color-mos-green);
}

/* only SP */
@media (max-width: 768px) {
  header {
    min-height: auto !important;
  }

  .header-catch-copy {
    font-size: 0.6rem;
  }

  #overlay-menu .vr {
    display: none;
  }

  #overlay-menu .overlay-menu-sub {
    font-size: 0.85rem;
  }

  #overlay-menu .overlay-menu-sub {
    margin-right: 0.5rem;
    line-height: 1.25;
  }

  #overlay-menu .overlay-menu-sub + .overlay-menu-sub {
    padding-left: 0.5rem;
    border-left: thin solid #000;
  }

  #overlay-menu .overlay-menu-link,
  #overlay-menu .overlay-menu-toggle {
    font-size: 1rem;
  }

  #overlay-menu .overlay-menu-link::after,
  #overlay-menu .overlay-menu-toggle::after {
    color: var(--color-mos-green);
  }

  footer .vr {
    display: none;
  }

  .footer-link-main {
    margin-top: 1rem;
  }

  .footer-link-sub {
    margin-right: 0.5rem;
    line-height: 1.25;
  }

  .footer-link-sub + .footer-link-sub {
    padding-left: 0.5rem;
    border-left: thin solid #fff;
  }
}

/* only small PC */
@media (min-width: 768px) {
  .header-catch-copy {
    font-size: 0.8rem;
  }

  .header-sns-icon {
    width: 40px;
  }

  .header-line-btn,
  .header-tel-btn {
    font-size: 1rem;
  }
}

/* only PC */
@media (min-width: 768px) {
  .top .header-menu-row {
    background-color: var(--color-light-green);
    transition: 0.2s;
  }

  .top .sticky .header-menu-row {
    background-color: transparent;
  }

  .footer-link-sub {
    font-size: 1rem;
  }

  .footer-own-info {
    font-size: 1.1rem;
  }

  #overlay-menu .overlay-menu-contact,
  #overlay-menu .overlay-menu-buttons {
    font-size: 1.25rem;
  }

  #overlay-menu .overlay-menu-contact .text-large {
    font-size: 1.4rem;
  }

  .eye-catch {
    --bs-aspect-ratio: 16.178736%;
  }

  .border-buttons {
    border-left: 2px solid var(--color-mos-green);
  }

  .reason-title {
    font-size: 1.75rem;
  }
}
